# git 分支管理

## git 分支及操作规范


- master：主分支，稳定分支，必须保证随时可用于发布
- release：预发布分支，如果有此分支，需将分支合并至release解决了冲突后，再将release合到master
- dev：开发分支，仅用来发布更新测试环境，需定期将master分支合并至此
- feature/xxx(迭代结束或上线时间，如200901，20年9月1日)：功能开发分支，须从master分支上开出此分支，开发期间需定期合并master至此，测试时合并至dev更新到测试环境，测试完成后将该分支合并至master，然后删除分支
- bugfix：线上bug修复分支，每次修改前需将master合并至此，测试时合并至dev测试，测试完成后再合并至master发布上线


## git log 规范

建议: 

- 格式:

```
- type: <subject>
```

- type: 说明本次 `commit` 的类别

```
add(feat): 增加

update: 更新

fix: 修复bug

style: 样式调整

test: 增加测试

docs: 编写文档

chore：构建过程或辅助工具的变动

refactor：重构（即不是新增功能，也不是修改bug的代码变动）
```

- subject: `commit` 的简短描述